Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.VideoDenoiserOptions Class Reference

## Public Member Functions
| VideoDenoiserOptions (int mode, int level)

## Public Attributes
int | denoiserMode
int | denoiserLevel

## Static Public Attributes
static final int | VIDEO_DENOISER_AUTO = 0
static final int | VIDEO_DENOISER_MANUAL = 1
static final int | VIDEO_DENOISER_LEVEL_HIGH_QUALITY = 0
static final int | VIDEO_DENOISER_LEVEL_FAST = 1

## Detailed Description

The video noise reduction options.

Since
  v3.6.2

## Member Data Documentation

## ◆ VIDEO_DENOISER_AUTO

final int io.agora.rtc2.video.VideoDenoiserOptions.VIDEO_DENOISER_AUTO = 0
| static

`0`: (Default) Automatic mode. The SDK automatically enables or disables the video noise reduction feature according to the ambient light.

## ◆ VIDEO_DENOISER_MANUAL

final int io.agora.rtc2.video.VideoDenoiserOptions.VIDEO_DENOISER_MANUAL = 1
| static

`1`: Manual mode. Users need to enable or disable the video noise reduction feature manually.

## ◆ VIDEO_DENOISER_LEVEL_HIGH_QUALITY

final int io.agora.rtc2.video.VideoDenoiserOptions.VIDEO_DENOISER_LEVEL_HIGH_QUALITY = 0
| static

`0`: (Default) Promotes video quality during video noise reduction. `HIGH_QUALITY` balances performance consumption and video noise reduction quality. The performance consumption is moderate, the video noise reduction speed is moderate, and the overall video quality is optimal.

## ◆ VIDEO_DENOISER_LEVEL_FAST

final int io.agora.rtc2.video.VideoDenoiserOptions.VIDEO_DENOISER_LEVEL_FAST = 1
| static

`1`: Promotes reducing performance consumption during video noise reduction. `FAST` prioritizes reducing performance consumption over video noise reduction quality. The performance consumption is lower, and the video noise reduction speed is faster. To avoid a noticeable shadowing effect (shadows trailing behind moving objects) in the processed video, Agora recommends that you use `FAST` when the camera is fixed.

## ◆ denoiserMode

int io.agora.rtc2.video.VideoDenoiserOptions.denoiserMode

The video noise reduction mode：

- VIDEO_DENOISER_AUTO(0): (Default) Automatic mode. The SDK automatically enables or disables the video noise reduction feature according to the ambient light.
- VIDEO_DENOISER_MANUAL(1): Manual mode. Users need to enable or disable the video noise reduction feature manually.

## ◆ denoiserLevel

int io.agora.rtc2.video.VideoDenoiserOptions.denoiserLevel

The video noise reduction level:

- VIDEO_DENOISER_LEVEL_FAST(0): (Default) Promotes video quality during video noise reduction. `HIGH_QUALITY` balances performance consumption and video noise reduction quality. The performance consumption is moderate, the video noise reduction speed is moderate, and the overall video quality is optimal.
- VIDEO_DENOISER_LEVEL_HIGH_QUALITY(1): Promotes reducing performance consumption during video noise reduction. `FAST` prioritizes reducing performance consumption over video noise reduction quality. The performance consumption is lower, and the video noise reduction speed is faster. To avoid a noticeable shadowing effect (shadows trailing behind moving objects) in the processed video, Agora recommends that you use `FAST` when the camera is fixed.